Creating legacy public apps and project-based apps is temporarily unavailable for new HubSpot accounts.
Learn more in our Trust Center.
curl --request GET \
--url https://api.hubapi.com/crm/v3/pipelines/{objectType} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "812723471",
"label": "My ticket pipeline",
"stages": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234912",
"label": "In Progress",
"metadata": {
"ticketState": "OPEN"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
},
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234914",
"label": "Done",
"metadata": {
"ticketState": "CLOSED"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"updatedAt": "2019-12-07T16:50:06.678Z"
}
]
}Return all pipelines for the object type specified by {objectType}.
curl --request GET \
--url https://api.hubapi.com/crm/v3/pipelines/{objectType} \
--header 'Authorization: Bearer <token>'{
"results": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "812723471",
"label": "My ticket pipeline",
"stages": [
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234912",
"label": "In Progress",
"metadata": {
"ticketState": "OPEN"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
},
{
"archived": false,
"createdAt": "2019-10-30T03:30:17.883Z",
"displayOrder": 0,
"id": "1234914",
"label": "Done",
"metadata": {
"ticketState": "CLOSED"
},
"updatedAt": "2019-12-07T16:50:06.678Z"
}
],
"updatedAt": "2019-12-07T16:50:06.678Z"
}
]
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Show child attributes
Was this page helpful?